@mixin centerFlex {
  display: flex;
  align-items: center;
  justify-content: center;
}

:host {
  display: block;

  .message-log {
    &__container {
      @include centerFlex;
      min-height: 100vh;
      flex-direction: column;
      row-gap: 1.5rem;
      .ct-container {
        padding: 0;
      }
    }

    &__wrapper {
      height: 70vh;
      width: 20rem;
      border-radius: var(--border-radius);
      display: flex;
      flex-direction: column;
      padding: 0.375rem;
      row-gap: 0.5rem;
    }

    &__loader {
      flex-grow: 1;
      @include centerFlex;
    }
  }
}
